<template>
  <q-header elevated class="header-block text-grey-3" height-hint="98">
    <q-toolbar>

      <q-toolbar-title class="text-grey-7">
          <span class="text-caption">VR-PLAYER</span>
      </q-toolbar-title>

      <q-btn class="op-50" dense flat round icon="create_new_folder" :disable="!can_open_dir" @click="addDir">
        <q-tooltip>Add dir</q-tooltip>
      </q-btn>
      <q-btn :class="[can_select ? 'text-secondary' : 'op-50']" dense flat round icon="playlist_add_check" @click="can_select = !can_select">
        <q-tooltip>Select files</q-tooltip>
      </q-btn>
      <!--<q-btn class="op-50" dense flat round icon="add_photo_alternate" @click="">
        <q-tooltip>Add files</q-tooltip>
      </q-btn>-->

      <q-btn class="op-50" dense flat round icon="settings" @click="">
        <q-tooltip>Settings</q-tooltip>
      </q-btn>



    </q-toolbar>

    <!--<q-tabs align="left">
        <q-route-tab to="/page1" label="Page One" />
        <q-route-tab to="/page2" label="Page Two" />
        <q-route-tab to="/page3" label="Page Three" />
    </q-tabs>-->
  </q-header>

</template>

<script>
  import {mapState} from 'vuex'


  export default {
    name: "HeaderComponent",
    data(){
      return{

      }
    },
    computed: {
      can_select: {
        get(){
          return this.$store.state.can_select
        },
        set(val){
          this.$store.commit("set", ['can_select', val])
        },
      },
      ...mapState(['MS', 'can_open_dir'])
    },
    methods:{
      addDir(){
        if (!this.MS){
          this.$q.notify({
            message: 'Backend not ready or something went wrong...',
            color: 'warning',
            textColor: 'black'
          });
          return
        }

        this.MS.OpenDir().then(ev => {
          console.log("dir is opened", ev)

        }).catch(err => {
          this.$q.notify({
            message: err,
            color: 'negative',
            // textColor: 'black'
          });
        })

      }
    },
    created() {

    }
  }
</script>

<style scoped lang="scss">
  @import "../styles/sht-styles";

  .header-block {
    background-color: darken($dark-grey, 5%);
  }
</style>